ObjectAlignment (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl
Class ObjectAlignment

    java.lang.Object
      fr.inrialpes.exmo.align.impl.BasicAlignment
          fr.inrialpes.exmo.align.impl.ObjectAlignment

All Implemented Interfaces:
  Cloneable, Iterable<Cell>, Alignment, Visitable

Direct Known Subclasses:
  DistanceAlignment

    public class ObjectAlignment

extends BasicAlignment

Represents an OWL ontology alignment. An ontology comprises a number of collections. Each ontology has a number of classes, properties and individuals, along with a number of axioms asserting information about those objects.

Version:
  $Id: ObjectAlignment.java 1323 2010-03-10 10:54:28Z euzenat $
Author:
  Jérôme Euzenat

Field Summary
`protected ObjectAlignment` | `init`

Fields inherited from class fr.inrialpes.exmo.align.impl.BasicAlignment
`debug, extensions, hash1, hash2, level, namespaces, onto1, onto2, time, type`

Constructor Summary
`ObjectAlignment()`

Method Summary
`Cell` | `createCell(String id, Object ob1, Object ob2, Relation relation, double measure)`
`ObjectAlignment` | `createNewAlignment(Object onto1, Object onto2)` Generate a copy of this alignment object
`URI` | `getOntology1URI()`
`URI` | `getOntology2URI()`
`void` | `init(Object onto1, Object onto2)` Initialize the alignement before using it
`void` | `loadInit(Alignment al)`
`(package private) static LoadedOntology` | `loadOntology(URI ref)`
`LoadedOntology<Object>` | `ontology1()`
`LoadedOntology<Object>` | `ontology2()`
`static ObjectAlignment` | `toObjectAlignment(URIAlignment al)`
`URIAlignment` | `toURIAlignment()` This is a clone with the URI instead of Object objects

Methods inherited from class fr.inrialpes.exmo.align.impl.BasicAlignment
`accept, addAlignCell, addAlignCell, addAlignCell, addAlignCell, addCell, cleanUp, clone, compose, cut, cut, cut2, diff, dump, getAlignCell1, getAlignCell2, getAlignCells1, getAlignCells2, getAlignedObject1, getAlignedObject2, getAlignedRelation1, getAlignedRelation2, getAlignedStrength1, getAlignedStrength2, getArrayElements, getElements, getExtension, getExtensions, getFile1, getFile2, getLevel, getOntology1, getOntology2, getOntologyObject1, getOntologyObject2, getParameters, getType, getXNamespace, getXNamespaces, harden, ingest, init, inverse, iterator, join, meet, nbCells, remCell, removeAlignCell, render, setExtension, setExtensions, setFile1, setFile2, setLevel, setOntology1, setOntology2, setType, setXNamespace`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### init

    protected ObjectAlignment init

Constructor Detail

### ObjectAlignment

    public ObjectAlignment()

Method Detail

### init

    public void init(Object onto1,
                     Object onto2)
              throws AlignmentException

  Description copied from interface: `Alignment`
  Initialize the alignement before using it

  Specified by:
    `init` in interface `Alignment`
  Overrides:
    `init` in class `BasicAlignment`
  Throws:
    `AlignmentException`

### ontology1

    public LoadedOntology<Object> ontology1()

### ontology2

    public LoadedOntology<Object> ontology2()

### loadInit

    public void loadInit(Alignment al)
                  throws AlignmentException

  Throws:
    `AlignmentException`

### getOntology1URI

    public URI getOntology1URI()

  Specified by:
    `getOntology1URI` in interface `Alignment`
  Overrides:
    `getOntology1URI` in class `BasicAlignment`

### getOntology2URI

    public URI getOntology2URI()

  Specified by:
    `getOntology2URI` in interface `Alignment`
  Overrides:
    `getOntology2URI` in class `BasicAlignment`

### createCell

    public Cell createCell(String id,
                           Object ob1,
                           Object ob2,
                           Relation relation,
                           double measure)
                    throws AlignmentException

  Overrides:
    `createCell` in class `BasicAlignment`
  Throws:
    `AlignmentException`

### createNewAlignment

    public ObjectAlignment createNewAlignment(Object onto1,
                                              Object onto2)
                                       throws AlignmentException

  Generate a copy of this alignment object

  Overrides:
    `createNewAlignment` in class `BasicAlignment`
  Throws:
    `AlignmentException`

### toURIAlignment

    public URIAlignment toURIAlignment()
                                throws AlignmentException

  This is a clone with the URI instead of Object objects

  Overrides:
    `toURIAlignment` in class `BasicAlignment`
  Throws:
    `AlignmentException`

### toObjectAlignment

    public static ObjectAlignment toObjectAlignment(URIAlignment al)
                                             throws AlignmentException,
                                                    SAXException

  Throws:
    `AlignmentException`
    `SAXException`

### loadOntology

    static LoadedOntology loadOntology(URI ref)
                                throws AlignmentException

  Throws:
    `AlignmentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010